#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xc63c2515, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xd2c09e07, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xc30eb421, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x4d5dd78e, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xee07849b, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x3387a58a, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x68579bdb, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x637f1982, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xa0835f73, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xb0db6240, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xf3571426, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xa9ce0d0a, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x6aafc073, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x2b715462, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x0e51de3d, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x84cede91, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xa49d6791, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xcdb69dd4, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xb6284f5c, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xc6b1ab45, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x455d4e68, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xfc08f804, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x4d8a2cdc, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x9ed72142, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x064dfb15, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xcf0923b0, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x468e33c2, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x86a4ba76, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xe44d5c26, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xf74c4275, "");
SYMBOL_CRC(drm_dp_aux_init, 0x3be54266, "");
SYMBOL_CRC(drm_dp_aux_register, 0x0a810d38, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xf7d0d36a, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xa2246eb0, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x4dc323f7, "");
SYMBOL_CRC(drm_dp_read_desc, 0xd80de2c1, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x83185a03, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x95c6d3cf, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x007d81a5, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x7718b883, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x60be83b4, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xd4bef66c, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x09d7520d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x5f4366e9, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xe7addb6e, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xafee4707, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x8f06bf5d, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x0b901e90, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xfe39d4ae, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xaff8e112, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x4bb5af78, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x27973abe, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xc3f8cc32, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x9a0294b0, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x862725a0, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x69796634, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x800f8a09, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xf529f94b, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x24329e20, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x879291a0, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xe00c101f, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x28727c41, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x5846c428, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xd0a8d146, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x57f7587f, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x80494129, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x7d336aad, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x9c7aaed9, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x4ca679c0, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xc9f5aed8, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xd1eaa32e, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x8da9ec30, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x75c68046, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x99a68562, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xc427fa9a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x5dbf5ba9, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x91a0e2b5, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x92350fde, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xc1ea3bdf, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xf04aa0cb, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x39e6468a, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x1b1d71b9, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xacedd329, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xd6043118, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x52cecf88, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xac0b4623, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x0cbcb380, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xcbb30312, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x4407e32e, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xec042d71, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x2db2844e, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xbb563442, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xfb85447f, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xf973e78b, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x22541e74, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x1b0d165f, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xd38532cf, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xffb414b7, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x0390cdee, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xafb9593f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x14e01e10, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x4950b4a4, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x4d8b5693, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xb261ec5e, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x1f564b91, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x56a6d7c5, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xd961581d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xab12f943, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x9586039f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x4faf66de, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0xc02291fe, "");
SYMBOL_CRC(drm_scdc_write, 0x15fb7485, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x82500a63, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xcec048e7, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xbaf2e187, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x1f38b453, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x48f94d43, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x0a68f376, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x5246f46b, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x2a06890c, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xc917656d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7025266d, "drm_crtc_add_crc_entry" },
	{ 0xe0f307f2, "cec_delete_adapter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xbc12ec55, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x3523cd98, "drm_connector_register" },
	{ 0xe0d2ae02, "cec_transmit_attempt_done_ts" },
	{ 0x4a61eebd, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x54e8cc5a, "drm_atomic_get_private_obj_state" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xe49aa4ff, "drm_atomic_private_obj_init" },
	{ 0xa01e06bf, "class_destroy" },
	{ 0x16efb04d, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x69148f54, "cec_s_conn_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x8889515b, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4b55fcea, "drm_mode_object_put" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x4e8dbd9b, "request_firmware_direct" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x53499b92, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4fafa5e5, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x288ff7ae, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xf3347a91, "drm_dev_printk" },
	{ 0xa0e1246a, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x17ace34d, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x993aaeb, "drm_crtc_wait_one_vblank" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x1aac95ab, "drm_modeset_lock" },
	{ 0x7ffd4571, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x22aa6d24, "device_create" },
	{ 0xfe6976bb, "class_create" },
	{ 0x27bc184c, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x35bddd, "fixed_size_llseek" },
	{ 0xee4f00c7, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xdacd40b8, "drm_crtc_commit_wait" },
	{ 0x8286b455, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xd8cf3a20, "cec_unregister_adapter" },
	{ 0xbf664408, "drm_object_attach_property" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x3f7f642, "drm_atomic_get_old_private_obj_state" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1992e3a, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc0c999c7, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0x8a4dedad, "cec_allocate_adapter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaea76546, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd5706f4f, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1e9c9bc8, "__register_chrdev" },
	{ 0xfd0402df, "seq_write" },
	{ 0x433d7d6c, "device_destroy" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x791da192, "_copy_from_iter" },
	{ 0xfe3c7719, "i2c_transfer" },
	{ 0x82759c0c, "drm_display_mode_from_cea_vic" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x32524b5f, "cec_fill_conn_info_from_drm" },
	{ 0x584c472d, "drm_sysfs_connector_property_event" },
	{ 0x7d1c1852, "cec_received_msg_ts" },
	{ 0x728a1df6, "param_ops_int" },
	{ 0x62f88937, "iov_iter_revert" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xb08ee24e, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0xb87ce7d, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4b9dd800, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "5B8489F507F3AC3A6764025");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
