#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x696134c8, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xdd8d7161, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x279e4610, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x45ccad49, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xf4bfcc66, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xc65aa4a1, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xd414896a, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x96505d7a, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x1dd40263, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7249cab4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xbdb8d032, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x8a122f4d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x08c03adc, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x0c352adb, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x0cde5c3f, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x53b38a5c, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xa608099a, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xdfc93ae6, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x9a1b9139, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x21eefabf, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xb0bd372e, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x67df6cf0, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x1ce41249, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xf24f2020, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xe1b9dc89, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xa249a552, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xfb0fd8e9, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x354bcaf1, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xf3bc66a4, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xc18071e6, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x2eeee402, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xcd7efd8e, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x56d6c2c2, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x04f39b01, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x2e1bf23e, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x05c12b09, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xf07f758f, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xa5525f6d, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x11110d58, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xe034aa96, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x7a9ccefd, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xf33cd5b6, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xb912c920, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xac23c9f7, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x69c20649, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xc20015ac, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xf8cb170b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x35fef7fd, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x503aa370, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xb00a5267, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xa95ca0ca, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x686f34af, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xdcb8bf32, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x9972012f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x440ebfe1, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x25d98e30, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x56df7d97, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xb9373096, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xf6461588, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x36b84cd0, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xb9f8ce88, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x9057171f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xd2557a45, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x08648a3f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x2a2bc584, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x3835b507, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x53499b92, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xde4fd5b8, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xbf3f8548, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xa0d7e7b5, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xcc8546f0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x2aeadb12, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x928324d3, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x7477b1ac, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x56e6efc9, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x4851a7c0, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xd2553de1, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xc2b2ec56, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xd3c62241, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x1fbba932, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xee228394, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xdfe2c95a, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x6b9d081d, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x7c06fd7c, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x4794f880, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xe0945362, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x851044b3, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x796bc44d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x295ce2e6, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd173c95e, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x29b7f745, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x353bcca1, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x1950970b, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x1a555e92, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xddb44b23, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xd44ec381, "");
SYMBOL_CRC(drm_fb_swab, 0x3445f451, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x9d1644e1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xa17935e2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe5e3939f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x5c1b9deb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x846be35d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x5613f469, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x5cd7153e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x79b5407f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x07a8d7ea, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x8bcd6255, "");
SYMBOL_CRC(drm_fb_blit, 0x4709610e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x79651e91, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x851895f6, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xc2b4ee93, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x0a6eb838, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x1b0c93a7, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x98ba57a7, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xb405a5d5, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x24a68744, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xc52d0673, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x4fb390df, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x0f6dc2a8, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x782e3fd2, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe6070a98, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xd13481be, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xaf5fbeaf, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xef879532, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x40d384e8, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x0c23f418, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x31a6d173, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xf78901b7, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x9faa08ab, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x4049edf9, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x49250f20, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xe70aee42, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xbb4f6664, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xf46f088c, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x633bb6d0, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x69e39788, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x1e5ca050, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x6d4eaf1e, "");
SYMBOL_CRC(drm_crtc_init, 0x635d2303, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x27b15731, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x51884546, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x78862319, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x5ed3c873, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xa21f519d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb3c44a0f, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xb276cfbb, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x3cd5dc8d, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x2e257c44, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xd5706f4f, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x312470b3, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xfc4694c4, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x49e60bfd, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xd2a02ac4, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xc5ae4f14, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x7b46d827, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xc70a28a4, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xe2e6eda7, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x3e0223aa, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x9128d81a, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x57f51aaf, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x3a5c1156, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x3a05432c, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x56fa299e, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x6daba5b6, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x69f48829, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xd3c62431, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x3f0be273, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x8eda2120, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xa2570aa4, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xcf6f5b06, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x07dec5cd, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x5ada5634, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x515cc112, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xddf1ecca, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xcd72e64b, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x03a633da, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xc286ddf0, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x5bd00f09, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x177af95d, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xbedff5d3, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x5f31c941, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x6f5a7ba7, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x4106030c, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x672af79a, "");
SYMBOL_CRC(drm_fb_helper_init, 0x84f52f9a, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x31344d43, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x940bab41, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x24c41a96, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x8860859a, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x645a6ba5, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xc84231f7, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xdb84ca1e, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x702feb47, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x5bdc24ea, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xa675faf4, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x1ad80d3d, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xcb17040f, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xe1cb94de, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x6d875d16, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x45c25c64, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xb9fefdc1, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x2381aa01, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x83c73047, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b2e7aec, "unregister_framebuffer" },
	{ 0x28a14a3b, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x9b776aa3, "drm_framebuffer_cleanup" },
	{ 0xfe5166be, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xd257c474, "drm_panel_get_modes" },
	{ 0x2dc20d87, "drm_gem_vmap_unlocked" },
	{ 0x4ca7751b, "try_module_get" },
	{ 0x2a5de012, "drm_connector_list_update" },
	{ 0xe78b4268, "drm_bridge_add" },
	{ 0x1e80cf00, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x3523cd98, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xbb947a00, "drm_panic_is_enabled" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x8083ece2, "devm_kmalloc" },
	{ 0x450bf7fc, "drm_client_rotation" },
	{ 0xc895d078, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd06eb17e, "drm_framebuffer_init" },
	{ 0x950289ae, "drm_mode_validate_driver" },
	{ 0xf58d8c0f, "drm_atomic_add_affected_planes" },
	{ 0xfae877ae, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x8ea4d761, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b668f70, "drm_mode_probed_add" },
	{ 0xe34e3f7, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xc6781f1, "drm_gem_vunmap_unlocked" },
	{ 0xe9bfb943, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x201b8d31, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xc2b75017, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4439490, "drm_mode_object_get" },
	{ 0xca074a23, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x80b6b045, "drm_driver_legacy_fb_format" },
	{ 0x390c12a2, "drm_crtc_cleanup" },
	{ 0xd082deef, "drm_connector_list_iter_begin" },
	{ 0x3d173ade, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xdf6c563e, "framebuffer_alloc" },
	{ 0xcebf8082, "drm_encoder_cleanup" },
	{ 0x3955c128, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x55a2169c, "drm_client_modeset_probe" },
	{ 0xe93e7866, "drm_warn_on_modeset_not_all_locked" },
	{ 0x6bf6e4e7, "drm_plane_get_damage_clips" },
	{ 0x885bf47b, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x70eb756, "drm_add_modes_noedid" },
	{ 0x52ebb64d, "drm_bridge_remove" },
	{ 0x4b55fcea, "drm_mode_object_put" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0x596311e2, "drm_crtc_vblank_get" },
	{ 0x10f6cd14, "drm_gem_object_lookup" },
	{ 0xe7ee7d7d, "drm_crtc_send_vblank_event" },
	{ 0x5f18e537, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x25b89412, "drm_atomic_normalize_zpos" },
	{ 0x1d492a0a, "drm_edid_connector_update" },
	{ 0xd6b48394, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbeea4fdb, "__drmm_add_action_or_reset" },
	{ 0xcd6c04de, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe259aeb8, "drm_connector_list_iter_end" },
	{ 0xc32cf961, "drm_atomic_set_crtc_for_plane" },
	{ 0x5cdb8201, "drm_client_modeset_dpms" },
	{ 0xcc5db370, "drm_mode_prune_invalid" },
	{ 0x40260922, "drm_client_dev_hotplug" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0x992a7ff4, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x78536da9, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xc665ab8a, "module_put" },
	{ 0x3f04744f, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x17ace34d, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc743c8d8, "drm_client_init" },
	{ 0x993aaeb, "drm_crtc_wait_one_vblank" },
	{ 0xbbb2f44, "drm_crtc_next_vblank_start" },
	{ 0x3842aa3d, "__drmm_encoder_alloc" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x1aac95ab, "drm_modeset_lock" },
	{ 0xfa07227d, "drm_client_modeset_commit_locked" },
	{ 0x7ffd4571, "drm_modeset_unlock" },
	{ 0x8190352, "drm_panel_disable" },
	{ 0x22577e7a, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49fb0365, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2d6eadef, "devm_kfree" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x7fa326ef, "drm_writeback_cleanup_job" },
	{ 0x7af82a48, "drm_modeset_lock_all_ctx" },
	{ 0xea4c3619, "i2c_unregister_device" },
	{ 0x8649acde, "drm_atomic_set_fb_for_plane" },
	{ 0x280cdd5b, "__drm_universal_plane_alloc" },
	{ 0xe254e22a, "drm_edid_connector_add_modes" },
	{ 0x9f480de7, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8c818ae2, "__devres_alloc_node" },
	{ 0xc1ce42c3, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xdacd40b8, "drm_crtc_commit_wait" },
	{ 0x5b201d7a, "drm_dev_has_vblank" },
	{ 0xcdd598ce, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xc148d8a9, "__drm_atomic_helper_disable_plane" },
	{ 0xc142b20, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x769d62be, "drm_gem_handle_create" },
	{ 0x8ea5a36, "drm_atomic_set_crtc_for_connector" },
	{ 0x1e97efdd, "drm_analog_tv_mode" },
	{ 0x19f81585, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xc3842e10, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc9548b0d, "drm_crtc_vblank_put" },
	{ 0xf1d48766, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x1992e3a, "__drm_dev_dbg" },
	{ 0x4163b4f8, "drm_plane_get_damage_clips_count" },
	{ 0x2253f032, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x6be001fc, "drm_atomic_state_alloc" },
	{ 0xe00381fb, "drm_client_modeset_commit" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0x55a9e7c3, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8728bee5, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x9edb9712, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x22f3e229, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x9bd79ccc, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5516fd24, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xa5088fe, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xe7b74e, "drm_connector_cleanup" },
	{ 0x67e95935, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x64a547ba, "drm_universal_plane_init" },
	{ 0xff7b5014, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x85c455ae, "drm_connector_list_iter_next" },
	{ 0x37c83cfd, "drm_modeset_acquire_fini" },
	{ 0x30037af2, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x5d6741d2, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e13089d, "param_ops_bool" },
	{ 0x311edcec, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xda7c87ec, "drm_modeset_backoff" },
	{ 0xe97180c6, "drm_panel_prepare" },
	{ 0x8b34afc9, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x876d458b, "drm_atomic_get_plane_state" },
	{ 0x5aeae00a, "drm_atomic_bridge_chain_check" },
	{ 0xdc8a7516, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x91bf5877, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2fd53606, "drm_property_blob_put" },
	{ 0xbcc7edaf, "drm_mode_destroy" },
	{ 0xdb977c6c, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xa7742440, "drm_set_preferred_mode" },
	{ 0xf51686c, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x85b083f8, "drm_atomic_state_clear" },
	{ 0x132cc73f, "drm_mode_config_reset" },
	{ 0x9f9c35f8, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x8bee7521, "drm_modeset_drop_locks" },
	{ 0xd7aa046, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x23315421, "drm_atomic_bridge_chain_disable" },
	{ 0xe9a82498, "drm_mode_create_from_cmdline_mode" },
	{ 0x72d554e9, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x728a1df6, "param_ops_int" },
	{ 0x1c982e9c, "drm_atomic_nonblocking_commit" },
	{ 0x850d2c64, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xcbd9c434, "drm_master_internal_release" },
	{ 0x1fbf0501, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x43d683c7, "drm_panel_unprepare" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x853aca2e, "drm_atomic_add_encoder_bridges" },
	{ 0xb08ee24e, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c5e25e1, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "433A9BC9ACEDE7734E33646");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
