#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x9397eb32, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x939c1194, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x0914aa7c, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x5d48bdfe, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x935a21d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x72197191, "xsk_tx_completed" },
	{ 0xf8817729, "napi_alloc_skb" },
	{ 0x1331e049, "alloc_etherdev_mqs" },
	{ 0x77b83524, "netdev_lower_get_next" },
	{ 0x2bfda5de, "flow_block_cb_lookup" },
	{ 0x6dae31e4, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2b03f08, "devl_rate_leaf_create" },
	{ 0xab24d51d, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdb80fad6, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x33f4219, "flow_rule_match_enc_keyid" },
	{ 0xb6631d54, "vmemmap" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x60988298, "pci_find_ext_capability" },
	{ 0xd7a36152, "kthread_create_worker" },
	{ 0x97763c73, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6444f015, "devl_region_create" },
	{ 0x1ee5022, "xp_dma_map" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xdf1a3612, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x32d49cb7, "devm_request_threaded_irq" },
	{ 0x9ba0247c, "kthread_cancel_delayed_work_sync" },
	{ 0x5c9fa75, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x8083ece2, "devm_kmalloc" },
	{ 0x722bbcf7, "pci_wake_from_d3" },
	{ 0x55e8da05, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x28cef4a, "call_switchdev_notifiers" },
	{ 0xde6946bc, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x9907741, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x99ecc315, "auxiliary_device_init" },
	{ 0xc4cb5856, "pci_enable_device_mem" },
	{ 0x4e91fcd0, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xeeaaa99b, "flow_rule_match_enc_ip" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9f7d10c3, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaa3bae38, "flow_rule_match_l2tpv3" },
	{ 0xb62006ae, "netif_napi_add_weight" },
	{ 0x6b2fc27f, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3eb05eeb, "xsk_tx_peek_release_desc_batch" },
	{ 0xffc70c85, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17ee41a0, "dmam_alloc_attrs" },
	{ 0x2ba3171a, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x76524826, "devl_lock" },
	{ 0xb0d1af88, "pci_dev_put" },
	{ 0xbe544d91, "xp_fill_cb" },
	{ 0xa25d9725, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8b9c00f4, "ndo_dflt_bridge_getlink" },
	{ 0x4a8abae5, "unregister_netdev" },
	{ 0xbbef481f, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x15c38783, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x34b5fbf2, "xdp_features_set_redirect_target" },
	{ 0xf300ab12, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x20df030e, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x59ed5b33, "dma_unmap_page_attrs" },
	{ 0x30a13262, "request_firmware" },
	{ 0x808e930b, "trace_event_printf" },
	{ 0x97acdc46, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x42eb9082, "flow_rule_match_cvlan" },
	{ 0xa9014fd9, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe1516858, "pci_num_vf" },
	{ 0x847345d3, "flow_rule_match_eth_addrs" },
	{ 0x999cfa3d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1974a62, "ptp_clock_index" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8709a522, "trace_event_raw_init" },
	{ 0x3fefce5d, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb91a746d, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dc3d99c, "devlink_alloc_ns" },
	{ 0xb4c2bfaa, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x576c9f24, "xdp_do_redirect" },
	{ 0x5617379e, "devlink_free" },
	{ 0x97ba2c0a, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cdb4f3c, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb5976160, "devl_rate_node_create" },
	{ 0xe6aec28e, "netdev_warn" },
	{ 0x7cd13cdd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x208c12cd, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc99648b2, "devl_rate_nodes_destroy" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x6a0b42b0, "pci_irq_vector" },
	{ 0x62211749, "flow_rule_match_ipv4_addrs" },
	{ 0x9ac803ec, "__netif_napi_del" },
	{ 0x5375a745, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb4430193, "__dynamic_dev_dbg" },
	{ 0x4c564414, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6a798722, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0xec7469a1, "netdev_err" },
	{ 0x630f41db, "pskb_expand_head" },
	{ 0x756a03e3, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x90aa0449, "devlink_flash_update_status_notify" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0xf7f7ff42, "pci_restore_msi_state" },
	{ 0xed2863da, "trace_event_buffer_commit" },
	{ 0x71d33e46, "xdp_return_buff" },
	{ 0x209ddcf6, "dev_addr_mod" },
	{ 0x732fac39, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x457e6537, "eth_type_trans" },
	{ 0xdf4aefe3, "pci_domain_nr" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf0413d64, "auxiliary_driver_unregister" },
	{ 0x890adc7a, "dma_map_page_attrs" },
	{ 0x106c74e7, "napi_complete_done" },
	{ 0xa752f7ca, "switchdev_handle_port_obj_del" },
	{ 0x94fa4a5e, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ca34e58, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2168657e, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x2fe4994a, "skb_checksum_help" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6e23ffc3, "put_device" },
	{ 0x879ecb0, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x6b2166e7, "__napi_schedule" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xff7a5bb6, "ipv6_skip_exthdr" },
	{ 0x102bdcce, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xca7fb717, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1d57d5d9, "netif_device_detach" },
	{ 0xf6d64287, "__free_pages" },
	{ 0xe4c9f5b7, "__hw_addr_unsync_dev" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0x7891866b, "napi_gro_receive" },
	{ 0x5ebb3de1, "netif_device_attach" },
	{ 0x98dca4ab, "xdp_features_clear_redirect_target" },
	{ 0xcc96177f, "netdev_pick_tx" },
	{ 0x2ea68fdc, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xf3a515df, "xp_raw_get_dma" },
	{ 0x6ffa5160, "eth_get_headlen" },
	{ 0x54a0fd68, "pci_iov_virtfn_devfn" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5ddd140f, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x540e5ba4, "flow_rule_match_enc_opts" },
	{ 0x443897ab, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x53aced88, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6026dc19, "flow_rule_match_basic" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd522b939, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xefc32c46, "pcim_iomap_regions" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xa0e88e37, "vlan_dev_real_dev" },
	{ 0xe37835ce, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xda5e3458, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdf5bb65a, "devm_kmemdup" },
	{ 0x2dea0486, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x33ae477e, "perf_trace_run_bpf_submit" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xc24b8a8, "devlink_flash_update_timeout_notify" },
	{ 0x2d6eadef, "devm_kfree" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x1408adba, "init_net" },
	{ 0xbbc3301d, "softnet_data" },
	{ 0x29ecdcb8, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3c50f771, "xdp_return_frame" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xa811181d, "ptp_clock_register" },
	{ 0xb1e97236, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x87886b81, "hwmon_device_register_with_info" },
	{ 0xaeee44ab, "__traceiter_xdp_exception" },
	{ 0x1c095ac3, "netif_set_real_num_tx_queues" },
	{ 0x6be1809, "__auxiliary_device_add" },
	{ 0x23cd7d87, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xda4bcf5, "netif_set_real_num_rx_queues" },
	{ 0x6c5c12ec, "flow_indr_block_cb_alloc" },
	{ 0x1b85560d, "devl_port_register_with_ops" },
	{ 0xc74c6205, "pci_wait_for_pending_transaction" },
	{ 0x62a553d4, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe650c96f, "debugfs_remove" },
	{ 0x90c9a2ea, "pci_read_config_word" },
	{ 0xe1211eca, "pcie_flr" },
	{ 0x896daf1a, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0xee16ad19, "xsk_clear_rx_need_wakeup" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xe71b57c7, "dcbnl_ieee_notify" },
	{ 0x2c99193, "xsk_uses_need_wakeup" },
	{ 0xbe00a81a, "register_netdev" },
	{ 0x457d63b9, "dev_mc_del" },
	{ 0xaaae8993, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x4aede1bf, "free_netdev" },
	{ 0x92d711a8, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x9282ee97, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7153478c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9a0ce15a, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xa3ce6344, "netif_tx_stop_all_queues" },
	{ 0x75a08bcd, "pci_restore_state" },
	{ 0x4c971697, "bpf_trace_run1" },
	{ 0x2159f6f2, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x6b177171, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x36d4475f, "dcb_getapp" },
	{ 0x29bda641, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0xa48fccd8, "flow_rule_match_ports" },
	{ 0xed9c8038, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3b23d395, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xb803ec32, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x65b70ed0, "pci_set_master" },
	{ 0x642274e7, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x84be5869, "flow_rule_match_ipv6_addrs" },
	{ 0xd255004b, "netdev_set_tc_queue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb43a9c50, "devl_params_unregister" },
	{ 0x45443b81, "ptp_clock_unregister" },
	{ 0xe44ceb77, "__pskb_pull_tail" },
	{ 0x8194f59f, "xp_dma_unmap" },
	{ 0xaede6445, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xb95d2dc1, "switchdev_handle_port_obj_add" },
	{ 0x9811525e, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x995c5c40, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4c288114, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x9b3b8d4c, "devm_kasprintf" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xa9c88720, "flow_rule_match_pppoe" },
	{ 0x55331a9b, "flow_rule_match_enc_control" },
	{ 0xe11d1c84, "bpf_trace_run3" },
	{ 0xfd79bd90, "seq_read" },
	{ 0xef946159, "__page_frag_cache_drain" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x136ac51, "_dev_notice" },
	{ 0x7fac6de5, "debugfs_create_file" },
	{ 0x93760abe, "rps_may_expire_flow" },
	{ 0x71b46d22, "metadata_dst_free" },
	{ 0xe48e8131, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x57089f59, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x11103e9c, "netdev_reset_tc" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x8141145f, "trace_event_buffer_reserve" },
	{ 0x40230b8c, "kthread_destroy_worker" },
	{ 0x7c82a3e7, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x24f0df62, "flow_rule_match_enc_ports" },
	{ 0x7a5b0b67, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x54f78d4a, "dpll_netdev_pin_clear" },
	{ 0x8a20496e, "netif_queue_set_napi" },
	{ 0xcd45f19a, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xe80ed124, "call_netdevice_notifiers" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x86ced7c8, "devl_assert_locked" },
	{ 0xc9b49af5, "pcie_print_link_status" },
	{ 0x7267a08, "xp_set_rxq_info" },
	{ 0x8e0a91c7, "flow_rule_match_vlan" },
	{ 0x405e6dfc, "devl_port_unregister" },
	{ 0x2e19353b, "xdp_rxq_info_unreg" },
	{ 0xa3b7c87a, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x23599d7, "napi_build_skb" },
	{ 0x7beb8ad2, "netdev_master_upper_dev_get_rcu" },
	{ 0x3d139046, "__xdp_rxq_info_reg" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xfd6dc661, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd0612de, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0x2b28642d, "dpll_pin_register" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6ba2763b, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xed3dbc8c, "__hw_addr_sync_dev" },
	{ 0x87f2f80b, "pci_disable_sriov" },
	{ 0x7fbcdac7, "pldmfw_flash_image" },
	{ 0x968624b9, "kthread_queue_delayed_work" },
	{ 0x9d830a8b, "metadata_dst_alloc" },
	{ 0x1be5ea1c, "dst_release" },
	{ 0x2638f4d8, "netif_carrier_on" },
	{ 0xeac7aa5e, "netdev_set_num_tc" },
	{ 0xe437ecf5, "dpll_device_register" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x46e8053, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95676420, "dev_uc_add_excl" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1195871f, "xp_free" },
	{ 0x255705fa, "dev_mc_add_excl" },
	{ 0x263307ba, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xc55437d2, "dma_set_mask" },
	{ 0x8a72e945, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfb7699de, "netif_set_tso_max_size" },
	{ 0x7d602eee, "__skb_flow_dissect" },
	{ 0x196e3a91, "vlan_dev_vlan_id" },
	{ 0x67803064, "pci_msix_alloc_irq_at" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x255fb1b6, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xf4678e97, "pcim_iomap_table" },
	{ 0xcdd1fd46, "xdp_master_redirect" },
	{ 0xbaf6981b, "__devm_add_action" },
	{ 0xeba14288, "dpll_pin_on_pin_register" },
	{ 0x123e5f41, "napi_schedule_prep" },
	{ 0x795d4a0b, "napi_consume_skb" },
	{ 0x807f8ffa, "pci_read_config_byte" },
	{ 0xd813bedf, "xp_alloc_batch" },
	{ 0x93d56aac, "napi_disable" },
	{ 0x6090f840, "dev_kfree_skb_any_reason" },
	{ 0xc85940e5, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x728a1df6, "param_ops_int" },
	{ 0x9642c0f1, "single_open" },
	{ 0xf9e94476, "pcim_enable_device" },
	{ 0x21c13d86, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x850d2c64, "debugfs_create_dir" },
	{ 0xd6c70d3, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x9f87476f, "flow_rule_match_control" },
	{ 0xe2ceb8a9, "flow_rule_match_ip" },
	{ 0x55f6de73, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x7ee36183, "dpll_device_get" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4448b30f, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2ec77d91, "ethtool_op_get_ts_info" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xa755cc17, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xacab51e5, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "ptp,hwmon,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "90243DF0BC3AA3991455E56");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
