#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x4c0ac685, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x505bc60e, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xdfba7ca6, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf87776ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x140965d9, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xdf1a3612, "skb_copy_bits" },
	{ 0x57959df0, "__nlmsg_put" },
	{ 0xf278633, "netdev_adjacent_change_commit" },
	{ 0x569687a2, "eth_mac_addr" },
	{ 0xc648f69d, "skb_put" },
	{ 0x28cef4a, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1cff6919, "ip6_dst_hoplimit" },
	{ 0xe2102533, "param_ops_ushort" },
	{ 0x4e91fcd0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x4dbda301, "udp_sock_create4" },
	{ 0x4690f16, "udp_tunnel6_xmit_skb" },
	{ 0xdda11ff1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xf82f884e, "__unregister_nexthop_notifier" },
	{ 0x49dc9eb7, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97ba2c0a, "eth_validate_addr" },
	{ 0xb09f9016, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x550ff7c1, "rtnl_create_link" },
	{ 0x3b40cc6, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x9640619c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd4eacb13, "ether_setup" },
	{ 0x8d828832, "udp_tunnel_drop_rx_port" },
	{ 0xae0f41e9, "netdev_upper_dev_link" },
	{ 0x630f41db, "pskb_expand_head" },
	{ 0x38de8861, "register_pernet_subsys" },
	{ 0x209ddcf6, "dev_addr_mod" },
	{ 0x457e6537, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xd9d530c1, "__alloc_skb" },
	{ 0xbb23bfdc, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x439bb4ae, "eth_gro_complete" },
	{ 0x5e438018, "rtnl_set_sk_err" },
	{ 0x6df16cea, "eth_gro_receive" },
	{ 0x88d6a891, "rtnl_configure_link" },
	{ 0x10b8ae79, "skb_tunnel_check_pmtu" },
	{ 0xea50c619, "udp_tunnel_dst_lookup" },
	{ 0x32ba966b, "rtnl_unicast" },
	{ 0xb0905032, "peernet2id" },
	{ 0x4d75fe5e, "__skb_get_hash_net" },
	{ 0xa491b1ab, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc5758e13, "__dev_get_by_index" },
	{ 0xdd53f48d, "rtnl_link_unregister" },
	{ 0x15d332b0, "ipv6_stub" },
	{ 0x587cd683, "skb_pull" },
	{ 0xa03f76ec, "gro_find_complete_by_type" },
	{ 0xc173b132, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d1bec6a, "dev_get_by_index_rcu" },
	{ 0xa634cc94, "gro_cells_receive" },
	{ 0x2bbfa89d, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xbfdba78e, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xbcb6cc92, "__rtnl_register_many" },
	{ 0x4aede1bf, "free_netdev" },
	{ 0x3338c12a, "ip_mc_join_group" },
	{ 0xa1ba9d71, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x406fa956, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7153478c, "ethtool_op_get_link" },
	{ 0xf2f3d056, "nexthop_find_by_id" },
	{ 0x99d685c9, "arp_create" },
	{ 0x78fb1315, "__ethtool_get_link_ksettings" },
	{ 0x7529c0c0, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2ca1e380, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa5e8aae7, "netdev_adjacent_change_abort" },
	{ 0x7c6e5ba0, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1b31749f, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdb504594, "__iptunnel_pull_header" },
	{ 0xe44ceb77, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x44518a26, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xc06b8a40, "setup_udp_tunnel_sock" },
	{ 0xef3c9e89, "udp_sock_create6" },
	{ 0xecaed442, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x995c5c40, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xe17b1dde, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd1bfabb1, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x71b46d22, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88b7dc4d, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e13089d, "param_ops_bool" },
	{ 0x5bd329c3, "udp_tun_rx_dst" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x6a1f2715, "rtnl_notify" },
	{ 0xebca4100, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x78b32c37, "__netif_rx" },
	{ 0xae2d61f1, "skb_clone" },
	{ 0x9d830a8b, "metadata_dst_alloc" },
	{ 0x1be5ea1c, "dst_release" },
	{ 0xcdc8bc4a, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xfce56c92, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x51436486, "register_nexthop_notifier" },
	{ 0x3a39143f, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x994e2cd9, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x1c588453, "gro_find_receive_by_type" },
	{ 0xf77ede3b, "netdev_core_stats_inc" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xa755cc17, "netdev_info" },
	{ 0xbdd46e8f, "neigh_lookup" },
	{ 0x2e41d03d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa9a8785c, "register_netdevice" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A1249CFE868AF78C9B54DCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
