#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x02939857, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xef1da10d, "");
SYMBOL_CRC(rio_alloc_net, 0x1d527699, "_gpl");
SYMBOL_CRC(rio_add_net, 0x9de67486, "_gpl");
SYMBOL_CRC(rio_free_net, 0xc0f4e98d, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x2c628709, "_gpl");
SYMBOL_CRC(rio_add_device, 0x0505ea54, "_gpl");
SYMBOL_CRC(rio_del_device, 0x14d2ace9, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xa0aa1f95, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xf6c711f1, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x7ac13ef3, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x6488c1e9, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x8484b9f6, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xce8189ff, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xc789a138, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x995baf1c, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x4849df21, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xc5d122af, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x303ce5d9, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x7ae3ad17, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x630eb43d, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x79a727a5, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xa6cdef87, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x65d05475, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xedfe7763, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xeaba0bde, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x6810be79, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x9fac7dd8, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x659b4c8b, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xede6f3a7, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xcdd8a351, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xb6b100ae, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xa8e3a819, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x3efe60da, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x5a737731, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xab0440f8, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x9b6d1fa3, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x8df20d05, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xcbbfe68f, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xdf06454a, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x2e221f64, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xdf016ea2, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xca14e0ea, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xf0488326, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x48ec1a7e, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x408bc77e, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x17e792a5, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x4be522bc, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x37a5c938, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x782fea25, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xeed9bbba, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xcb288751, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xa46cbd09, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x521787d0, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x77286afa, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x27c1e663, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x4d291692, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x289abd79, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xf5c88ca4, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x4d878c99, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x38306a1d, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xcc3fbd7a, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x79de8256, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x82216b36, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x478d950b, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x2cf368fd, "_gpl");
SYMBOL_CRC(rio_dev_get, 0xf640a107, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xe840ab9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4ca7751b, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xaa4e279b, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cc94394, "device_unregister" },
	{ 0x2fbfeb4d, "param_array_ops" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0x186c266d, "dma_release_channel" },
	{ 0x49153ae0, "device_for_each_child" },
	{ 0x9968c212, "get_device" },
	{ 0xb4430193, "__dynamic_dev_dbg" },
	{ 0xed4489b7, "__dma_request_channel" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6e23ffc3, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc665ab8a, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x904b3b11, "driver_unregister" },
	{ 0x2bab24b, "class_unregister" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2797781a, "device_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x728a1df6, "param_ops_int" },
	{ 0x7527b635, "driver_register" },
	{ 0x677ca5f2, "class_register" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x46ee8511, "bus_register" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8B1A3C7C9BEC85C03513CC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
