#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0x62737b9a, "");
SYMBOL_CRC(uart_update_timeout, 0x6db76fc9, "");
SYMBOL_CRC(uart_get_baud_rate, 0x98cfda5c, "");
SYMBOL_CRC(uart_get_divisor, 0x1edd4c19, "");
SYMBOL_CRC(uart_xchar_out, 0x0b740f4c, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x54807cdc, "");
SYMBOL_CRC(uart_resume_port, 0x8da1e741, "");
SYMBOL_CRC(uart_register_driver, 0x70847405, "");
SYMBOL_CRC(uart_unregister_driver, 0x7a75148b, "");
SYMBOL_CRC(uart_console_device, 0x6ec827b9, "_gpl");
SYMBOL_CRC(uart_match_port, 0x364d7b56, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x4a9ecd7e, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x03ebc5d5, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x7548b7d3, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x3ea90a80, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0xb3c71e77, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x4a62f66c, "");
SYMBOL_CRC(uart_remove_one_port, 0xaa7f12f2, "");
SYMBOL_CRC(uart_read_port_properties, 0x2875cc16, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0xed3f2a7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x5e6361ad, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xaa4e279b, "dev_set_name" },
	{ 0x5ad1b2a2, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7d83fc8c, "platform_get_irq" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x776a32e5, "tty_kref_put" },
	{ 0xc28722b0, "gpiod_set_value_cansleep" },
	{ 0x9b2c3e60, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xeeb6285a, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x891f81a3, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x7125c29e, "tty_standard_install" },
	{ 0xf5b72d5a, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2f6edc94, "tty_hangup" },
	{ 0xfb10416d, "tty_unregister_driver" },
	{ 0xb4430193, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6e23ffc3, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xbde8295d, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5d223736, "tty_port_tty_wakeup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x62395b51, "_dev_alert" },
	{ 0xf3e05c23, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xbd7faead, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x7c1265c9, "device_add" },
	{ 0xfb454ea0, "tty_ldisc_ref" },
	{ 0x3fdb70cb, "tty_vhangup" },
	{ 0x3646f01d, "irq_get_irq_data" },
	{ 0xa1ae48fc, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd445bfb9, "tty_port_destroy" },
	{ 0x850854f2, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0xee4f00c7, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x904b3b11, "driver_unregister" },
	{ 0xf0f73181, "__dev_fwnode_const" },
	{ 0xe7bbd150, "tty_ldisc_deref" },
	{ 0x130faf44, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6b177171, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2a0c5953, "tty_port_register_device_attr_serdev" },
	{ 0x601ff1e5, "tty_port_close" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x136ac51, "_dev_notice" },
	{ 0x7dd4ca47, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe29ebd5f, "tty_register_driver" },
	{ 0x1fbf1818, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x246d06af, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0xff14229e, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0xf6994a9d, "register_console" },
	{ 0x8cb3c228, "dev_err_probe" },
	{ 0x46d2df28, "__seq_puts" },
	{ 0x602b10a4, "fwnode_irq_get" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7527b635, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe1a820ca, "tty_driver_kref_put" },
	{ 0x7fa6806a, "__dev_fwnode" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x46ee8511, "bus_register" },
	{ 0x79261fc4, "tty_port_tty_get" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA8B0992F3DC8950164AD7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
