#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(chacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_encrypt_sg_inplace, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt_sg_inplace, "", "");

SYMBOL_CRC(chacha20poly1305_encrypt, 0x637307c6, "");
SYMBOL_CRC(xchacha20poly1305_encrypt, 0x35142bf2, "");
SYMBOL_CRC(chacha20poly1305_decrypt, 0x161ec81e, "");
SYMBOL_CRC(xchacha20poly1305_decrypt, 0xb9f848ed, "");
SYMBOL_CRC(chacha20poly1305_encrypt_sg_inplace, 0x0124a22b, "");
SYMBOL_CRC(chacha20poly1305_decrypt_sg_inplace, 0x6d8e083e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x220b49ab, "chacha_crypt_arch" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xf3945fcd, "poly1305_final_generic" },
	{ 0xa1a6e2c3, "sg_miter_next" },
	{ 0xbfc1755f, "sg_miter_stop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4d76539b, "sg_miter_start" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd7219de2, "poly1305_update_generic" },
	{ 0x5df756d7, "__crypto_memneq" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xdd8ec6bd, "hchacha_block_arch" },
	{ 0xdc94f829, "chacha_init_arch" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x31d4e581, "poly1305_init_generic" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "chacha_s390,libpoly1305");


MODULE_INFO(srcversion, "21C6ADEA6687624D54E46C2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
