#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x84f114d0, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x37b80e1b, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x68ffa8d7, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf49fc45, "skb_free_datagram" },
	{ 0x6a7b016d, "sock_queue_rcv_skb_reason" },
	{ 0xab24d51d, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd01e19b7, "bpf_trace_run4" },
	{ 0xdf1a3612, "skb_copy_bits" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xc648f69d, "skb_put" },
	{ 0x4e91fcd0, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ba3171a, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xf300ab12, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x808e930b, "trace_event_printf" },
	{ 0xcdf41438, "kernel_bind" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8709a522, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xae9c7235, "__module_get" },
	{ 0xc6c2f836, "kernel_recvmsg" },
	{ 0x4349b48a, "__pskb_copy_fclone" },
	{ 0x3627a68b, "sk_error_report" },
	{ 0x5e7b50b4, "skb_queue_purge_reason" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0xed2863da, "trace_event_buffer_commit" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xbe49aeb0, "proto_unregister" },
	{ 0xe970464d, "sock_register" },
	{ 0x4613efb0, "datagram_poll" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd9d530c1, "__alloc_skb" },
	{ 0xa5665b6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc665ab8a, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xd7ab5a04, "sock_no_shutdown" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x33ae477e, "perf_trace_run_bpf_submit" },
	{ 0x57ddead5, "__traceiter_sk_data_ready" },
	{ 0x1408adba, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xc173b132, "sk_skb_reason_drop" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x63921188, "kernel_getsockname" },
	{ 0x27a8f51b, "do_wait_intr_irq" },
	{ 0x278edd72, "sk_free" },
	{ 0xdff06736, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2bbfa89d, "skb_push" },
	{ 0xc91553e3, "sock_no_listen" },
	{ 0xaaae8993, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x406fa956, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x69ed2b55, "skb_copy_datagram_iter" },
	{ 0x70f99329, "sk_alloc" },
	{ 0x881c5b94, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8dc62ddc, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xbd86fe60, "__netdev_alloc_skb" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xe11d1c84, "bpf_trace_run3" },
	{ 0x1735fffe, "skb_set_owner_w" },
	{ 0x8141145f, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x22e0df9, "sock_create_kern" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xe38e8b90, "skb_recv_datagram" },
	{ 0xc472c763, "sock_alloc_send_pskb" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe70e184a, "xa_store" },
	{ 0x791da192, "_copy_from_iter" },
	{ 0x72aa9471, "sock_release" },
	{ 0x39661b41, "sock_gettstamp" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x62f88937, "iov_iter_revert" },
	{ 0x3988f070, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xd4232f3b, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x2e41d03d, "release_sock" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B45A3C47EAEC047E1668060");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
