#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x4d0d4ac5, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x4c2c7579, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xd7e316f2, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xed1b9491, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x46f074b7, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd8c40fef, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x73a3a44b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x3da53883, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x017f4bb7, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x36af6d93, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x00ce4a0a, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xf83ceb3c, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xe5d4005c, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x21d6baa7, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xdac66492, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x61fcde6e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x3ff9b790, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xa8845202, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x500cbaf5, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xfb5a3889, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x4ef41fad, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x3cc5b4e0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xb0d228a4, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xcb228960, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x7035a8af, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xf0653f56, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xb4f6e453, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x649302dc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x08dc0345, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x40f0ebc7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x5aaf8cae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8083ece2, "devm_kmalloc" },
	{ 0x98de1c15, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xd7a36152, "kthread_create_worker" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0x808c6022, "sched_set_fifo" },
	{ 0x8766580, "crypto_register_aead" },
	{ 0xcd505fca, "crypto_unregister_aead" },
	{ 0x9cf26894, "crypto_register_ahash" },
	{ 0x59492190, "crypto_unregister_ahash" },
	{ 0xa21b197a, "crypto_register_akcipher" },
	{ 0xd2a9b96c, "crypto_unregister_akcipher" },
	{ 0xc9dbbe64, "crypto_register_kpp" },
	{ 0xe93879df, "crypto_unregister_kpp" },
	{ 0x1da544b6, "crypto_register_skcipher" },
	{ 0x9b5d7ee1, "crypto_unregister_skcipher" },
	{ 0x4e4287d5, "kthread_queue_work" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xba53a441, "crypto_enqueue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0x40230b8c, "kthread_destroy_worker" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c79ae75, "crypto_dequeue_request" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xfb1379f8, "crypto_enqueue_request_head" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F2DB04886B4B361AE5C771E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
