#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xbb96f8da, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xa03d5530, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x26a7ae5c, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xe94d6108, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xc616e770, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xe0b80d62, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xd34e28b3, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xda887dae, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x0a9cde4b, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x37affee7, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xa14721a6, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x06d905b9, "_gpl");
SYMBOL_CRC(mhi_notify, 0x9bfb1e6a, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xa8d3140a, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x4f3868ae, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x33cc4ffc, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x94a8f9e8, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x2a5fded4, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xc7ac0bde, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x289838a4, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x818ecf73, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xb797760d, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xf0a30750, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x33a1c7a6, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xf61127cf, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x60294fa6, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x5dd92a62, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x33ca8f47, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x17489124, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xf5862da5, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x884f03b2, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xff2eacbd, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x0c9238b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb6631d54, "vmemmap" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd01e19b7, "bpf_trace_run4" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x432ed039, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xaa4e279b, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ba3171a, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf300ab12, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x59ed5b33, "dma_unmap_page_attrs" },
	{ 0x30a13262, "request_firmware" },
	{ 0x808e930b, "trace_event_printf" },
	{ 0x9b2c3e60, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8709a522, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x49153ae0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cdb4f3c, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x9968c212, "get_device" },
	{ 0xb4430193, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0xed2863da, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x890adc7a, "dma_map_page_attrs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6e23ffc3, "put_device" },
	{ 0x8c055308, "sysfs_remove_file_ns" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0x63a6b31, "kstrtouint_from_user" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x33ae477e, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xbd7faead, "bus_unregister" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0x7c1265c9, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe8cba059, "dma_alloc_attrs" },
	{ 0xe650c96f, "debugfs_remove" },
	{ 0xee4f00c7, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xaaae8993, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x904b3b11, "driver_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x6b177171, "device_del" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6108288f, "complete_all" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe11d1c84, "bpf_trace_run3" },
	{ 0xfd79bd90, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7fac6de5, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x32addd01, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x8141145f, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfd0402df, "seq_write" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x263307ba, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x9642c0f1, "single_open" },
	{ 0x850d2c64, "debugfs_create_dir" },
	{ 0x5ac4da5, "vcalloc_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7527b635, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x46ee8511, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0FD7FD34847183BBBA6BB26");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
