#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0x423b1f3d, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0xcdbbb589, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0xf5f8a76f, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x040ab48e, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0x5c13c3b7, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0x680507af, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0x86d32810, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0xd6e8e9e3, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0x75658920, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x54eedf72, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0xfba3b680, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0xa53e11a0, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0x5cc818a0, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x8f6c7edf, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0xc28750dd, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0x20992a9f, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x9f3e75d7, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0x25aca32d, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0x4091b4f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb6631d54, "vmemmap" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3e8f36, "__ib_alloc_pd" },
	{ 0x59ed5b33, "dma_unmap_page_attrs" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x890adc7a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc110c354, "rdma_create_qp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x1408adba, "init_net" },
	{ 0x7af5c3ae, "ib_cq_pool_put" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x339957b1, "__ib_alloc_cq" },
	{ 0xca712de1, "rdma_notify" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa09bf80, "inet_pton_with_scope" },
	{ 0x790e72fb, "rdma_destroy_qp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd8b52484, "ib_cq_pool_get" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa468dd4f, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2d51b98e, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "96A20EC768C3CA13051747E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
