#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xf79a93cb, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x7bbbd5b9, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x6e9fc2e7, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x1c640d45, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x093a3b80, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xa5bc8655, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xb53c4352, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x13120bd4, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xa9b0b531, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x02c7c09f, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x9f676349, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a0361e7, "filp_open" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf5d5a04, "bdev_file_open_by_path" },
	{ 0x4ca7751b, "try_module_get" },
	{ 0x248089b9, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x65a88f0b, "config_group_init" },
	{ 0x1b2ebee9, "config_group_find_item" },
	{ 0x517f2d4c, "bio_add_zone_append_page" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x2ba3171a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb0d1af88, "pci_dev_put" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf300ab12, "__trace_trigger_soft_disabled" },
	{ 0x49dda11d, "__kmalloc_node_noprof" },
	{ 0x808e930b, "trace_event_printf" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8709a522, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cdb4f3c, "bpf_trace_run2" },
	{ 0xd209e848, "memcpy_and_pad" },
	{ 0x9968c212, "get_device" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x62e619ac, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xed2863da, "trace_event_buffer_commit" },
	{ 0x394dd598, "sg_zero_buffer" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x64898edb, "vfs_fallocate" },
	{ 0xceb94cf1, "blkdev_zone_mgmt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6e23ffc3, "put_device" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xa4a433cf, "blk_finish_plug" },
	{ 0x6c778a3d, "submit_bio" },
	{ 0xc665ab8a, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x81615a42, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x885c8b58, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xcd37fba6, "bio_endio" },
	{ 0xa1a6e2c3, "sg_miter_next" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x33ae477e, "perf_trace_run_bpf_submit" },
	{ 0xa63c6b9c, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9a1315b1, "configfs_register_subsystem" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xb616c7e2, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2f2459ed, "bio_integrity_add_page" },
	{ 0x85abc85f, "strncmp" },
	{ 0xbfc1755f, "sg_miter_stop" },
	{ 0xaaae8993, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0xb142dca6, "bio_chain" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x33e749b4, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc4476842, "bio_integrity_alloc" },
	{ 0x4d76539b, "sg_miter_start" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4c971697, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xea88a1c6, "bio_init" },
	{ 0xd956b373, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xb1cb15ce, "__kmem_cache_create_args" },
	{ 0x103bafd6, "down_read" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xafe82e10, "strcspn" },
	{ 0x8141145f, "trace_event_buffer_reserve" },
	{ 0xe8e91bcd, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x5b563e0b, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x44669f5f, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e8de371, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xfec9a2c8, "key_lookup" },
	{ 0xa0c47aa6, "bio_alloc_bioset" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x4cdb476, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xdf493607, "submit_bio_wait" },
	{ 0xb617a60f, "blkdev_report_zones" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x8fd169fe, "__blkdev_issue_discard" },
	{ 0xae5d16fd, "fs_bio_set" },
	{ 0x273e6daa, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x88712f3f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-keyring");


MODULE_INFO(srcversion, "D328C093D1C701E06DDDAEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
