#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0x581fb597, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x94a9b4c3, "");
SYMBOL_CRC(dasd_alloc_block, 0xec440210, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x1d39f4b1, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0x8038f51c, "");
SYMBOL_CRC(dasd_reload_device, 0xef75034e, "");
SYMBOL_CRC(dasd_enable_device, 0xcd79ac67, "");
SYMBOL_CRC(dasd_smalloc_request, 0x9af3fd47, "");
SYMBOL_CRC(dasd_fmalloc_request, 0x91c70ff4, "");
SYMBOL_CRC(dasd_sfree_request, 0xf74da311, "");
SYMBOL_CRC(dasd_ffree_request, 0x8da4626b, "");
SYMBOL_CRC(dasd_term_IO, 0x1f3c285a, "");
SYMBOL_CRC(dasd_start_IO, 0xbe79caff, "");
SYMBOL_CRC(dasd_device_set_timer, 0x8f630434, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x8f9e12e1, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x5cf703ea, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x3170fcfe, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0x708c7382, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xcf5ddceb, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0x199bd278, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0x285b9a46, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x4a3e3e74, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0x14e771f3, "");
SYMBOL_CRC(dasd_add_request_tail, 0xa4beb0e1, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x4f268a39, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0xfe0e79fb, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x221e45b6, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x721b451a, "");
SYMBOL_CRC(dasd_block_set_timer, 0xd23ecf1d, "");
SYMBOL_CRC(dasd_block_clear_timer, 0x5c56c46e, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x3f29cd18, "");
SYMBOL_CRC(dasd_device_is_ro, 0xd168b1cf, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0xd5096ed6, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x80b6eecf, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xedf7827f, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0xb11a20ce, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xffc58166, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0x97242b02, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0x104a7afe, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0xe741474c, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x632b614b, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xed818249, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0xe5861f1e, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0xeaef826b, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0xc985b6c3, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x8d93f49c, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x62d04d54, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0x5d352a06, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x5caca6c0, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0xb8776439, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0x74f1194e, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0xfd195edb, "");
SYMBOL_CRC(dasd_dev_groups, 0x5358b64d, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0x66227910, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x9eab72ad, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x7a1b6acd, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0x0c44c66e, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x096a6615, "");
SYMBOL_CRC(dasd_default_erp_action, 0x115fbc92, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x3d041367, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0xfc5ab804, "");
SYMBOL_CRC(dasd_free_erp_request, 0x10d7b37d, "");
SYMBOL_CRC(dasd_log_sense, 0x7db7ccd2, "");
SYMBOL_CRC(dasd_eer_write, 0x272670fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x954ffd46, "set_disk_ro" },
	{ 0x4ca7751b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d517885, "misc_deregister" },
	{ 0x4a61eebd, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1dd7762b, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x3a60e4a5, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0x4a9d55ce, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xaf713e5d, "debug_set_level" },
	{ 0x2fbfeb4d, "param_array_ops" },
	{ 0x8e7fea35, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4ed9561d, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbddc929f, "kset_unregister" },
	{ 0x45e093ac, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x242d591c, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9968c212, "get_device" },
	{ 0x16cd31e4, "blk_mq_end_request" },
	{ 0xcaaeef8c, "__blk_mq_alloc_disk" },
	{ 0xb4430193, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x606e4dbb, "blk_mq_alloc_tag_set" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xde227be4, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6e23ffc3, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf3f713f9, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x93e457cf, "ccw_device_get_schid" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc665ab8a, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x78acf2c0, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa63c6b9c, "fput" },
	{ 0x8a0d9011, "_dev_err" },
	{ 0xb1baeb94, "kobject_add" },
	{ 0xcd2af812, "blk_update_request" },
	{ 0x43bafff8, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xb594613c, "kobj_sysfs_ops" },
	{ 0xf2f9f76a, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x371e7e75, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe650c96f, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xbdea297c, "cmf_readall" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xee4f00c7, "seq_putc" },
	{ 0x2ace4e41, "bdev_mark_dead" },
	{ 0x403a3d11, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x9821caa8, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed82cc03, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x86971f6a, "bdev_file_open_by_dev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5d2aed65, "proc_mkdir" },
	{ 0x2aa5e680, "ccw_device_set_offline" },
	{ 0x4c10aefb, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8f9a3b32, "misc_register" },
	{ 0xfb83c53b, "ccw_device_clear" },
	{ 0x524c981c, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb1cb15ce, "__kmem_cache_create_args" },
	{ 0x92516784, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0x9d7a23d1, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe9945523, "debug_unregister" },
	{ 0xfd79bd90, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfefa228a, "blk_mq_complete_request" },
	{ 0x7fac6de5, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd0402df, "seq_write" },
	{ 0x1fccb3b, "remove_proc_entry" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0x8d058591, "ccw_device_set_online" },
	{ 0x82ab39ae, "enable_cmf" },
	{ 0xf1237c63, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xb708c1e7, "blk_mq_start_request" },
	{ 0xf931f021, "ccw_device_get_path_mask" },
	{ 0x2b2608ad, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x263307ba, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0x8e8de371, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x76b32153, "blk_abort_request" },
	{ 0xbeb8f412, "debug_sprintf_view" },
	{ 0x728a1df6, "param_ops_int" },
	{ 0x25fb23a0, "blk_mq_run_hw_queues" },
	{ 0x99f98c5d, "proc_create_seq_private" },
	{ 0x9642c0f1, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x850d2c64, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1b9ddbb9, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x6810a560, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xd74cfce8, "blk_queue_rq_timeout" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x88712f3f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4edf8a91, "kset_create_and_add" },
	{ 0xe8d20800, "kobject_put" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "981B4B2D99015E83902CC30");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
