#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qdio_inspect_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_inspect_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_get_ssqd_desc, "_gpl", "");
KSYMTAB_FUNC(qdio_shutdown, "_gpl", "");
KSYMTAB_FUNC(qdio_free, "_gpl", "");
KSYMTAB_FUNC(qdio_allocate, "_gpl", "");
KSYMTAB_FUNC(qdio_establish, "_gpl", "");
KSYMTAB_FUNC(qdio_activate, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_start_irq, "", "");
KSYMTAB_FUNC(qdio_stop_irq, "", "");
KSYMTAB_FUNC(qdio_free_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_alloc_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_reset_buffers, "_gpl", "");

SYMBOL_CRC(qdio_inspect_input_queue, 0x4b955c91, "_gpl");
SYMBOL_CRC(qdio_inspect_output_queue, 0x64242999, "_gpl");
SYMBOL_CRC(qdio_get_ssqd_desc, 0x060181dd, "_gpl");
SYMBOL_CRC(qdio_shutdown, 0x8389a9f3, "_gpl");
SYMBOL_CRC(qdio_free, 0xcd5898db, "_gpl");
SYMBOL_CRC(qdio_allocate, 0x03f68240, "_gpl");
SYMBOL_CRC(qdio_establish, 0x5663e7f7, "_gpl");
SYMBOL_CRC(qdio_activate, 0x56c22ff5, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_input_queue, 0xb030cdc1, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_output_queue, 0x98ce08f2, "_gpl");
SYMBOL_CRC(qdio_start_irq, 0x2d1c3994, "");
SYMBOL_CRC(qdio_stop_irq, 0xbb46f38e, "");
SYMBOL_CRC(qdio_free_buffers, 0x77abf1a3, "_gpl");
SYMBOL_CRC(qdio_alloc_buffers, 0x1c4445c0, "_gpl");
SYMBOL_CRC(qdio_reset_buffers, 0xd4c12f24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7c7e500, "ccw_device_halt" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x26f58918, "chsc_sadc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc41a0c51, "chsc_ssqd" },
	{ 0xaf713e5d, "debug_set_level" },
	{ 0x8e7fea35, "debug_register" },
	{ 0x4ed9561d, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0x33412f2, "seq_hex_dump" },
	{ 0x45e093ac, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd07a6a8f, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x93e457cf, "ccw_device_get_schid" },
	{ 0x5ef41dd0, "_dev_info" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe05f555a, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf45e81aa, "ccw_device_get_ciw" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9c5a4666, "kmem_cache_free" },
	{ 0xe650c96f, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfb83c53b, "ccw_device_clear" },
	{ 0xefda7ef3, "kmem_cache_alloc_noprof" },
	{ 0xad3dfa13, "lgr_info_log" },
	{ 0xb1cb15ce, "__kmem_cache_create_args" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x8df0a492, "ccw_device_set_options_mask" },
	{ 0xbb52c152, "debug_hex_ascii_view" },
	{ 0xe9945523, "debug_unregister" },
	{ 0xfd79bd90, "seq_read" },
	{ 0x7fac6de5, "debugfs_create_file" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x44780888, "debug_event_common" },
	{ 0x77dc3d63, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1b7c879, "seq_printf" },
	{ 0x263307ba, "single_release" },
	{ 0xe096bc9f, "ccw_device_set_options" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0x9642c0f1, "single_open" },
	{ 0x850d2c64, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1b9ddbb9, "debug_register_view" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcfc0be55, "kmalloc_caches" },
	{ 0x88712f3f, "kmem_cache_destroy" },
	{ 0xf75d6371, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8E8857653F69A61D779843B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
